package com.fjhx.sale.controller.commission;

import com.fjhx.sale.entity.commission.po.CommissionType;
import com.fjhx.sale.entity.commission.vo.CommissionTypeVo;
import com.fjhx.sale.service.commission.CommissionTypeService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 业绩提成类型 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-20
 */
@RestController
@RequestMapping("/commissionType")
public class CommissionTypeController {

    @Autowired
    private CommissionTypeService commissionTypeService;

    /**
     * 业绩提成类型列表
     */
    @GetMapping("/list")
    public List<CommissionTypeVo> list() {
        return commissionTypeService.getList();
    }

    /**
     * 业绩提成类型新增/修改
     */
    @PostMapping("/addOrEdit")
    public void addOrEdit(@RequestBody List<CommissionType> commissionTypeList) {
        commissionTypeService.addOrEdit(commissionTypeList);
    }

    /**
     * 业绩提成类型删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        commissionTypeService.delete(dto.getId());
    }

}
